# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-grapefruit
%global snapshot_date 20110710
%global snapshot_revision 31

Name:		python-module-grapefruit
Version:	0.1a3
Release:	alt1_5.%{snapshot_date}svn%{snapshot_revision}
Summary:	Python module for easy manipulation of color information

Group:		Development/Python
License:	ASL 2.0
URL:		https://code.google.com/p/grapefruit/
#clone and tarred : svn export -r%%{snapshot_revision} http://grapefruit.googlecode.com/svn/trunk/ %%{oldname}-%%{version}
#tar -cJvf %%{oldname}-%%{version}svn%%{snapshot_revision}.tar.xz %%{oldname}-%%{version}
Source0:	%{oldname}-%{version}svn%{snapshot_revision}.tar.xz
BuildArch:	noarch
BuildRequires:	python-devel
Source44: import.info
%description
GrapeFruit is a pure python module that let you easily manipulate and convert
color information. It's primary goal is to be natural and flexible.

%prep
%setup -n %{oldname}-%{version} -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root="$RPM_BUILD_ROOT"
chmod 655 $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/grapefruit.py
sed -i 's/\r//' CHANGES LICENSE TODO doc/Makefile doc/index.rst doc/conf.py doc/makedoc.cmd

%files
%doc doc/ CHANGES COPYING README LICENSE TODO
%{python_sitelibdir_noarch}/*.egg-info
%{python_sitelibdir_noarch}/grapefruit.py*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1a3-alt1_5.20110710svn31
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1a3-alt1_4.20110710svn31
- initial fc import

